org.apache.ant.compress.taskdefs

## Class ExpandBase

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Expand
      - - org.apache.ant.compress.taskdefs.ExpandBase

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    Un7z, Unar, Unarj, Uncpio, Undump, Untar, Unzip

      public abstract class ExpandBase
      extends org.apache.tools.ant.taskdefs.Expand

  Expand an archive.

  PatternSets are used to select files to extract from the archive. If no patternset is used, all files are extracted.

  FileSets may be used to select archived files to perform unarchival upon.

  File permissions will not be restored on extracted files.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.Expand

      `ERROR_MULTIPLE_MAPPERS, NATIVE_ENCODING`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExpandBase(ArchiveStreamFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `expandFile(org.apache.tools.ant.util.FileUtils fileUtils, java.io.File srcF, java.io.File dir)`
    `protected void` | `expandResource(org.apache.tools.ant.types.Resource srcR, java.io.File dir)`
    `boolean` | `getSkipUnreadableEntries()` Whether to skip entries that Commons Compress signals it cannot read.
    `void` | `setEncoding(java.lang.String encoding)` No encoding support in general.
    `void` | `setScanForUnicodeExtraFields(boolean b)` No unicode extra fields in general.
    `void` | `setSkipUnreadableEntries(boolean b)` Whether to skip entries that Commons Compress signals it cannot read.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Expand

      `add, add, addFileset, addPatternset, createMapper, execute, extractFile, getEncoding, getFailOnEmptyArchive, getMapper, getScanForUnicodeExtraFields, internalSetEncoding, internalSetScanForUnicodeExtraFields, setDest, setFailOnEmptyArchive, setOverwrite, setSrc, setStripAbsolutePathSpec`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpandBase

          protected ExpandBase(ArchiveStreamFactory factory)

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

      No encoding support in general.
      Overrides:
        `setEncoding` in class `org.apache.tools.ant.taskdefs.Expand`
      Parameters:
        `encoding` - not used

    - #### setScanForUnicodeExtraFields

          public void setScanForUnicodeExtraFields(boolean b)

      No unicode extra fields in general.
      Overrides:
        `setScanForUnicodeExtraFields` in class `org.apache.tools.ant.taskdefs.Expand`

    - #### setSkipUnreadableEntries

          public void setSkipUnreadableEntries(boolean b)

      Whether to skip entries that Commons Compress signals it cannot read.
      Since:
        Compress Antlib 1.1

    - #### getSkipUnreadableEntries

          public boolean getSkipUnreadableEntries()

      Whether to skip entries that Commons Compress signals it cannot read.
      Since:
        Compress Antlib 1.1

    - #### expandFile

          protected void expandFile(org.apache.tools.ant.util.FileUtils fileUtils,
                                    java.io.File srcF,
                                    java.io.File dir)

      Overrides:
        `expandFile` in class `org.apache.tools.ant.taskdefs.Expand`

    - #### expandResource

          protected void expandResource(org.apache.tools.ant.types.Resource srcR,
                                        java.io.File dir)

      Overrides:
        `expandResource` in class `org.apache.tools.ant.taskdefs.Expand`